# $Revision: 1.13 $, $Date: 2010/11/13 00:19:51 $
Summary:	A Python module for the MPEG Audio Decoder library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki MPEG Audio Decoder
Name:		python-mad
Version:	0.6
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://spacepants.org/src/pymad/download/pymad-%{version}.tar.gz
# Source0-md5:	a1405fb4b610348565c8d0e400c5ff18
URL:		http://spacepants.org/src/pymad/
BuildRequires:	libmad-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.174
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pymad is a Python module that allows Python programs to use the MPEG
Audio Decoder library. pymad provides a high-level API, similar to the
pyogg module, which makes reading PCM data from MPEG audio streams a
piece of cake.

%description -l pl.UTF-8
pymad to moduł Pythona pozwalający programom w Pythonie używać
biblioteki MPEG Audio Decoder (dekodera dźwięku MPEG). pymad
udostępnia wysokopoziomowe API podobne do modułu pyogg, co czyni
odczyt danych PCM ze strumieni dźwiękowych MPEG bardzo łatwym.

%prep
%setup -q -n pymad-%{version}

%build
python config_unix.py \
	--prefix %{_prefix}
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS THANKS
%doc test/*
%attr(755,root,root) %{py_sitedir}/madmodule.so
%{py_sitedir}/pymad-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-mad.spec,v $
Revision 1.13  2010/11/13 00:19:51  pawelz
- release 4

Revision 1.12  2010/07/08 08:21:07  arekm
- release 3

Revision 1.11  2008/10/03 17:53:32  arekm
- release 2

Revision 1.10  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.8  2007/01/28 15:53:32  qboosh
- updated to 0.6

Revision 1.7  2006/09/03 11:47:38  patrys
- rel up for new python

Revision 1.6  2005/09/23 11:02:59  jajcus
- Version: 0.5.4

Revision 1.5  2005/05/09 18:48:34  qboosh
- pl

Revision 1.4  2005/05/08 18:48:47  jajcus
- MD5 sum fixed

Revision 1.3  2005/05/08 18:44:52  jajcus
- Release: 1

Revision 1.2  2005/05/08 17:22:35  jajcus
- bogus comment removed

Revision 1.1  2005/05/08 17:06:43  jajcus
- new spec
